<?php

try{
  if(!class_exists('Mobile_Detect')){
    require_once 'Mobile_Detect.php';
    $detect = new Mobile_Detect;
  }else{
    $detect = new Mobile_Detect;
  }
}
catch(Exception $e){
  //problem with mobile detection
}

$cardId = $oPlugin->oPluginEinstellungAssoc_arr['cardId'];

if(!empty($cardId)){

  $smarty->assign('cardId', $cardId);

  $header = $oPlugin->oPluginEinstellungAssoc_arr['SiegelHeader'];
  $leftCat = $oPlugin->oPluginEinstellungAssoc_arr['SiegelCat'];
  $itemDesc = $oPlugin->oPluginEinstellungAssoc_arr['SiegelDesc'];
  $footer = $oPlugin->oPluginEinstellungAssoc_arr['SiegelFooter'];
  $textBadge = $oPlugin->oPluginEinstellungAssoc_arr['TextBadge'];
  $cmtsBadge = $oPlugin->oPluginEinstellungAssoc_arr['CmtsBadge'];
  $overlay = $oPlugin->oPluginEinstellungAssoc_arr['Overlay'];
  $overlayFrame = $oPlugin->oPluginEinstellungAssoc_arr['overlayFrame'];
  $overlayList = $oPlugin->oPluginEinstellungAssoc_arr['overlayList'];
  $overlaySticker = $oPlugin->oPluginEinstellungAssoc_arr['overlaySticker'];
  $overlayButton = $oPlugin->oPluginEinstellungAssoc_arr['overlayButton'];
  $overlaySocial = $oPlugin->oPluginEinstellungAssoc_arr['overlaySocial'];
  $overlayDuo = $oPlugin->oPluginEinstellungAssoc_arr['overlayDuo'];
  $overlayShopak = $oPlugin->oPluginEinstellungAssoc_arr['overlayShopak'];
  $overlayStars = $oPlugin->oPluginEinstellungAssoc_arr['overlayStars'];
  $advInsertTrust = $oPlugin->oPluginEinstellungAssoc_arr['advInsertTrust'];
  $advClassId = $oPlugin->oPluginEinstellungAssoc_arr['advClassId'];
  $advTrustType = $oPlugin->oPluginEinstellungAssoc_arr['advTrustType'];
  $cusDataAtt = $oPlugin->oPluginEinstellungAssoc_arr['cusDataAtt'];

  //advanced mode
  if ($advInsertTrust != "none" && !empty($advClassId) && $advTrustType != "none") {
    $smarty->assign('advInsertTrust', $advInsertTrust);
    $smarty->assign('advTrustType', $advTrustType);
    $smarty->assign('advClassId', $advClassId);
  }

  if (!empty($cusDataAtt)) {
    $dataAttr = "";
    $smarty->assign('cusDataAtt', $cusDataAtt);
    $parsedJsonAttr = json_decode($cusDataAtt);
    foreach($parsedJsonAttr as $key => $value) {
      $dataAttr = $dataAttr.$key.'="'.$value.'" ';
    }
    $smarty->assign('dataAttr', $dataAttr);
  }
  /*******************************************************************************************************/
  try{
    if (empty($header)) {
      $header = 'none';
    } else if($header == "siegel"){
      pq('#header-branding')->append('<div id="trustami_jtl_header" class="widget_container" style="padding-top: 10px;"></div>');
    } else if($header == "siegelBox"){
      pq('#header-branding')->append('<div id="trustami_jtl_header" class="widget_container_box"
      style="display: table;
      padding-bottom: 10px;
      margin-right: auto;
      margin-left: auto;"
      ></div>');
    } else if($header == "siegelMini"){
      if( $detect->isMobile() && !$detect->isTablet() ){
        pq('#logo')->append('<div id="trustami_jtl_header" class="widget_container_badge" style="float:left;"></div>');
      }else{
        pq('#logo')->prepend('<div id="trustami_jtl_header" class="widget_container_badge hidden-sm hidden-xs" style="float:right;"></div>');
      }
    }
  }catch(Exception $e){
    //problem appending header
  }

  if(!is_null(pq('#sidepanel_left'))){
    $spl = pq('#sidepanel_left');
    if (empty($leftCat)) {
      $leftCat = 'none';
    } else if($leftCat == "siegel"){
      $spl->append('<div id="trustami_jtl_category" class="widget_container" style="padding-top: 10px;"></div>');
    }
    else if($leftCat == "siegelBox"){
      $spl->append('<div id="trustami_jtl_category" class="widget_container_box"
      style="padding-top: 10px;
      margin-right: auto;
      margin-left: auto;
      display: table;">
      </div>');
    }
    else if($leftCat == "siegelMini"){
      $spl->append('<div id="trustami_jtl_category" class="widget_container_badge"
      style="width: 90px;
      padding-top: 10px;
      margin-right: auto;
      margin-left: auto;
      display: table;">
      </div>');
    }
  }

  try{
    if(!is_null(pq('#product-offer'))){
      $po = pq('#product-offer');
      if (empty($itemDesc)) {
        $itemDesc = 'none';
      } else if($itemDesc == "siegel"){
        $po->children('div.product-info')->append('<div id="trustami_jtl_desc" class="widget_container" style="padding-top:10px;"></div>');
      }
      else if($itemDesc == "siegelBox"){
        //pq('footer')->prepend
        //display: block;padding-top: 10px; margin-right: auto; margin-left: auto;
        $po->children('div.product-info')->append('<div id="trustami_jtl_desc" class="widget_container_box"
        style="display: table;
        padding-top: 10px;
        margin-right: auto;
        margin-left: auto;">
        </div>');
      }
      else if($itemDesc == "siegelMini"){
        $po->children('div.product-info')->append('<div id="trustami_jtl_desc" class="widget_container_badge"
        style="display: table;
        padding-top: 10px;
        margin-right: auto;
        margin-left: auto;">
        </div>');
        //width: 85px;
      }
    }
  }catch(Exception $e){
    //"Problem appending product-offer";
  }

  try{
    if(!pq('#trustami_jtl_footer')->length){
      if (empty($footer)) {
        $footer = 'none';
      } else if($footer == "siegel"){
        pq('footer')->append('<div id="trustami_jtl_footer" class="widget_container" style="padding-top:10px;"></div>');
      }
      else if($footer == "siegelBox" && !is_null(pq('#footer-boxes'))){
        pq('#footer-boxes')->append('<div id="trustami_jtl_footer" class="widget_container_box col-xs-6 col-md-3" style="padding-top: 10px;"></div>');
      }
      else if($footer == "siegelMini"){
        pq('footer')->prepend('<div id="trustami_jtl_footer" class="widget_container_badge"
        style="display: table;
        padding-top: 10px;
        margin-right: auto;
        margin-left: auto;">
        </div>');
      } else if ($footer == "siegelCmts") {
        pq('footer')->append('<div id="trustami_jtl_comments" class="widget_container_comments_badge" style="padding-top:10px;"></div>');
      }
    }
  }catch(Exception $e){}

  try{
    if($textBadge == "1"){
      pq('footer')->append('<div id="trustami_jtl_text" class="widget_container_text_only" style="display: table; margin: 0 auto;"></div>');
    }

    if($overlay == "1"){
      pq('footer')->append('<div id="trustami_jtl_overlay" class="widget_container_overlay"></div>');
    }

    if($overlayFrame == "1"){
      pq('footer')->append('<div id="trustami_jtl_overlay_frame" class="widget_container_frame"></div>');
    }

    if($overlayList == "1"){
      pq('footer')->append('<div id="trustami_jtl_overlay_list" class="widget_container_overlay_list"></div>');
    }

    if($overlaySticker == "1"){
      pq('footer')->prepend('<div id="trustami_jtl_overlay_sticker" class="widget_container_overlay_sticker"
      style="display: table;
      padding-top: 10px;
      margin-right: auto;
      margin-left: auto;"></div>');
    }

    if($overlayButton == "1"){
      pq('footer')->prepend('<div id="trustami_jtl_overlay_sticker" class="widget_container_simple_badge"
      style="display: table;
      padding-top: 10px;
      margin-right: auto;
      margin-left: auto;"></div>');
    }

    if($overlaySocial == "1"){
      pq('footer')->prepend('<div id="trustami_jtl_overlay_sticker" class="widget_container_social_badge"
      style="display: table;
      padding-top: 10px;
      margin-right: auto;
      margin-left: auto;"></div>');
    }

    if($overlayDuo == "1"){
      pq('footer')->prepend('<div id="trustami_jtl_overlay_sticker" class="widget_container_combi_badge"
      style="display: table;
      padding-top: 10px;
      margin-right: auto;
      margin-left: auto;"></div>');
    }

    if($overlayShopak == "1"){
      pq('footer')->prepend('<div id="trustami_jtl_overlay_shopauskunft" class="widget_container_shopauskunft"
      style="display: table;
      padding-top: 10px;
      margin-right: auto;
      margin-left: auto;"></div>');
    }

    if($overlayStars == "1"){
      pq('footer')->prepend('<div id="trustami_jtl_overlay_stars" class="widget_container_stars_badge"
      style="display: table;
      padding-top: 10px;
      margin-right: auto;
      margin-left: auto;"></div>');
    }

  }catch(Exception $e){
    //"Problem appending overlays";
  }

  $trustami_initial_script = $smarty->fetch($oPlugin->cFrontendPfad . 'template/trustami_siegel.tpl');
  pq('body')->append($trustami_initial_script);
}

?>
